Skip to main content
GET
List Executions
OAuth Scope

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

profile_id
string

Filter executions by the Profile ID associated with the orders.

account_id
string

Filter executions by the Account ID associated with the orders.

order_id
string

Filter executions for a single order ID.

since_execution_id
string

Excludes executions after the given ID.

range.begin
string<date-time>

Only return records after this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

range.end
string<date-time>

Only return records before this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

page_cursor
string

Cursor token for fetching the next page.

limit
integer<int32>

Number of results to return.

Response

200 - application/json

A successful response.

items
object[]
next_page_cursor
string

Cursor token required for fetching the next page.